Addresses
Kullanıcı kripto adreslerini getir
Belirtilen kullanıcıya ait kripto para cüzdan adreslerini getirir.
Authentication
x-auth(tenant-id)
HTTP Request
GET /address/get-crypto-adress
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
userId | string | true | - | Adresleri getirilecek kullanıcı id |
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
memberId | number | false | Üye id'si |
fullName | string | false | Kullanıcının maskelenmiş adı |
coinId | number | false | Kripto para id'si |
code | string | false | Kripto para kodu |
label | string | false | Adres etiketi |
address | string | false | Cüzdan adresi |
id | number | false | Adres id'si |
networkId | number | false | Network id'si |
networkCode | string | false | Network kodu |
networkName | string | false | Network adı |
cDate | string | false | Oluşturulma tarihi (ISO 8601) |
uDate | string | false | Güncellenme tarihi (ISO 8601) |
isBnc | boolean | false | Binance adresi mi |
addressTag | string | true | Adres etiketi (memo/tag) |
url | string | true | Explorer URL'i |
imageUrl | string | false | Kripto para görsel URL'i |
liquidityProviderTypeId | number | false | Likidite sağlayıcı tipi id'si |
Response Body Example
[
{
"memberId": 1716,
"fullName": "M***** S*** Z*****",
"coinId": 19,
"code": "ADA",
"label": "90542*****063",
"address": "Ae2t...PRr8",
"id": 18738,
"networkId": 5,
"networkCode": "ADA",
"networkName": "Cardano",
"cDate": "2023-06-20T03:59:22.727Z",
"uDate": "2023-06-20T03:59:22.727Z",
"isBnc": false,
"addressTag": null,
"url": null,
"imageUrl": "https://cdn.example.com/images/pairs/ADA/ADA.svg",
"liquidityProviderTypeId": 4
},
{
"memberId": 1716,
"fullName": "M***** S*** Z*****",
"coinId": 4,
"code": "BTC",
"label": "90542*****063",
"address": "346n...o5s",
"id": 17919,
"networkId": 10,
"networkCode": "BTC",
"networkName": "Bitcoin",
"cDate": "2022-07-19T07:00:10.807Z",
"uDate": "2022-07-19T07:00:10.807Z",
"isBnc": false,
"addressTag": null,
"url": null,
"imageUrl": "https://cdn.example.com/images/pairs/BTC/BTC.svg",
"liquidityProviderTypeId": 2
}
]